package com.link.core.util;

import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.context.annotation.Configuration;

@Configuration
public class BeanTools implements ApplicationContextAware {
   private static ApplicationContext applicationContext;

   public void setApplicationContext(ApplicationContext context) {
      applicationContext = context;
   }

   public static Object getBean(Class className) {
      Object restTemplate = null;

      try {
         restTemplate = applicationContext.getBean(className);
         return restTemplate;
      } catch (Exception var3) {
         return null;
      }
   }

   public static Object getBean(String beanName) {
      try {
         Object restTemplate = applicationContext.getBean(beanName);
         return restTemplate;
      } catch (Exception var2) {
         return null;
      }
   }

   public static ApplicationContext getApplicationContext() {
      return applicationContext;
   }
}
